Create Refund

Use this API to initiate a refund against an order.

📘

Note:

  • For a full refund, all IMEI numbers associated with the products are automatically blocked. For a partial refund, you must specify the IMEI number that needs to be blocked.

Environment

Use our UAT environment endpoint for testing and for integration utilize our production endpoint.

EnvironmentEndpoints
User Acceptance Testing [UAT]https://pluraluat.v2.pinepg.in/api/pay/v1/refunds/{order_id}
Production [PROD]https://api.pluralpay.in/api/pay/v1/refunds/{order_id}
Path Params
string
required

Unique identifier of the order in the Pine Labs Online database.

Example: v1-5757575757-aa-hU1rUd

Body Params
string
required

Enter a unique identifier for this refund.

  • Maximum length: 50characters.
  • Minimum length: 1 characters.
Example: 232343434344

order_amount
object
required

An object that contains the details of the order amount.

Note: This object is required only in case of partial refund.

merchant_metadata
object

An object of key value pair that can be used to store additional information.

Example: "key1": "DD"

products
array of objects

Mandatory for multi-cart partial refunds.

An array of object that contains the product details

products
split_info
object

Mandatory for Split Settlements

An object that contains the split settlement information.

Note: Kindly ensure split settlements are enabled for your account in the Pine Labs Online database.

Headers
string

The type of content included in the HTTP message body.

Possible value: application/json.

string
required

The HTTP header where you can include your secret token for authentication.

Example: Bearer <access_token>

Note: Use the access token generated using our Generate Token API.

string

Use ISO 8601 UTC Timestamp, to create a timestamp when the generate token is requested.

Example: 2024-07-09T07:57:08.022Z

string

Use a global unique identifier [GUID] for the request.

  • Minimum: 1 characters.
  • Maximum: 50 characters
Example: c17ce30f-f88e-4f81-ada1-c3b4909ed235

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
Ask AI
Assistant
Order Lifecycle
Refunds
Settlements
Checkout
Dashboard
International Payments
How do I implement webhook notifications for payment status updates, and what's the recommended way to verify webhook authenticity?
How do I integrate Pine Labs payment gateway with my React Native mobile app and what are the required API credentials?
Can I customize the payment UI for card transactions, and what parameters can I pass to modify the checkout experience for my customers?
Assistant